# Interface ListenOptions

interface ListenOptions {
backlog?: number;
exclusive?: boolean;
host?: string;
ipv6Only?: boolean;
path?: string;
port?: number;
readableAll?: boolean;
signal?: AbortSignal;
writableAll?: boolean;
}

#### Hierarchy (view full)

- Abortable
  - ListenOptions

- Defined in node_modules/@types/node/net.d.ts:492

#####
Index

### Properties

backlog?
exclusive?
host?
ipv6Only?
path?
port?
readableAll?
signal?
writableAll?

## Properties

### `Optional` backlog

backlog?: number

- Defined in node_modules/@types/node/net.d.ts:495

### `Optional` exclusive

exclusive?: boolean

- Defined in node_modules/@types/node/net.d.ts:497

### `Optional` host

host?: string

- Defined in node_modules/@types/node/net.d.ts:494

### `Optional` ipv6Only

ipv6Only?: boolean

#### Default

    false

- Defined in node_modules/@types/node/net.d.ts:503

### `Optional` path

path?: string

- Defined in node_modules/@types/node/net.d.ts:496

### `Optional` port

port?: number

- Defined in node_modules/@types/node/net.d.ts:493

### `Optional` readableAll

readableAll?: boolean

- Defined in node_modules/@types/node/net.d.ts:498

### `Optional` signal

signal?: AbortSignal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

Inherited from Abortable.signal

- Defined in node_modules/@types/node/events.d.ts:486

### `Optional` writableAll

writableAll?: boolean

- Defined in node_modules/@types/node/net.d.ts:499